package com.sunxung.factoring.entity.financing.contractTemplate;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.sunxung.factoring.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;

/**
 * <p>
 * 合同模板
 * </p>
 *
 * @author liutao
 * @since 2024-03-04
 */
@TableName("contract_template")
public class ContractTemplate extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 合同版本
     */
    @TableField("version")
    private String version;

    /**
     * 合同名称
     */
    @TableField("name")
    private String name;

    /**
     *  是否启用 0 否 1 是
     */
    @TableField("visible")
    private Integer visible;

    /**
     * 合同类型
     */
    @TableField("contract_type")
    private String contractType;

    /**
     * 模板类型
     */
    @TableField("template_type")
    private String templateType;

    /**
     * 模板code
     */
    @TableField("template_code")
    private String templateCode;

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getVisible() {
        return visible;
    }

    public void setVisible(Integer visible) {
        this.visible = visible;
    }

    public String getContractType() {
        return contractType;
    }

    public void setContractType(String contractType) {
        this.contractType = contractType;
    }

    public String getTemplateType() {
        return templateType;
    }

    public void setTemplateType(String templateType) {
        this.templateType = templateType;
    }

    public String getTemplateCode() {
        return templateCode;
    }

    public void setTemplateCode(String templateCode) {
        this.templateCode = templateCode;
    }
}
